### Callable

- lookupService(address: string, port: number, callback: function): void

- - Defined in node_modules/@types/node/dns.d.ts:39

  #### Parameters

  - ##### address: string

  - ##### port: number

  - ##### callback: function

    - - (err: ErrnoException, hostname: string, service: string): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### hostname: string

        - ##### service: string

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(address: string, port: number): Promise<object>

- - Defined in node_modules/@types/node/dns.d.ts:42

  #### Parameters

  - ##### address: string

  - ##### port: number

  #### Returns Promise<object>

Generated using TypeDoc